Subject: mpc52xx localplus bus and dm9000

From: "Sinisa Denic" <[email-masked]>
Date: Thu, 14 Aug 2008 11:52:17 +0200

Hi,I have mpc52xx based board very similar to lite5200b.
There is Davicom DM9000 connected to Local Plus Bus CS0.
Does anybody have idea how should DTS part look like in order to add this 
resource in system.
I've written something like this:

lpb {
                        device_type = "network";
                        compatible = "fsl,lpb";
                        ranges = <0 0 ff000000 1000000>;

                        dm9000@0,0 {
                                compatible = "dm9000";
                                reg = <0 0 100000>;
                                #size-cells = <1>;
                                #address-cells = <1>;
                        };
                };

but it's not working.
Is it enough to have right dts record for default dm9000 driver working
or I have to change something more?
Thank you in andvance.

Sinisa Denic
System and software  engineer
tel: +381(0)112016142
ABS Control Systems
bul.Zorana Djindjica 8a
Belgrade,Serbia